Issue 91056 - Support ODF1.2 documents on load that have a draw:a element outside a shape element
Summary: Support ODF1.2 documents on load that have a draw:a element outside a shape e...
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: open-import (show other issues)
Version: OOo 1.0.0
Hardware: All All
: P2 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: wolframgarten
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-25 14:53 UTC by clippka
Modified: 2008-07-11 08:52 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
a valid ODF 1.2 presentation document where all circle shape are sourronded by a draw:a element that points to http://www.heise.de (10.40 KB, application/vnd.oasis.opendocument.presentation)
2008-06-25 14:54 UTC, clippka
no flags Details
a valid ODF 1.2 presentation document where all circle shape are sourronded by a draw:a element that points to http://www.heise.de (10.39 KB, application/vnd.oasis.opendocument.presentation)
2008-07-03 09:42 UTC, clippka
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description clippka 2008-06-25 14:53:28 UTC
In ODF 1.2, it will be allowed to put a draw:a element around any shape element
to support html style hyper links for shapes. Such valid ODF documents would
loose all shapes inside these draw:a elements in the current OOo version.

This issue is about adding support to load such valid ODF documents without
loosing the shapes or the hyper link information.

I will attach a document that contains a valid ODF 1.2 presentation document
where all circles (one in a slide, one in a group) are surrounded by a draw:a
element that points to a web page.

Current versions of OOo will not show these circles, a version with this issue
fixed will show the circles and preserve the hyperlink. Note that this issue
does not include the export of draw:a elements. This may be implemented later
but since OOo 2.x versions are still heavily used, this information loss is not
yet practical.
Comment 1 clippka 2008-06-25 14:54:26 UTC
Created attachment 54734 [details]
a valid ODF 1.2 presentation document where all circle shape are sourronded by a draw:a element that points to http://www.heise.de
Comment 2 clippka 2008-06-25 15:51:02 UTC
fixed in cws impress146 for OOo 3.0
Comment 3 clippka 2008-07-03 09:42:35 UTC
Created attachment 54912 [details]
a valid ODF 1.2 presentation document where all circle shape are sourronded by a draw:a element that points to http://www.heise.de
Comment 4 clippka 2008-07-03 09:44:02 UTC
the first attachment had a type, the second is valid, except an error found in
styles.xml, which is unrelated to this issue. I have to submit one for that.

anyway, verified in cws, back to qa
Comment 5 wolframgarten 2008-07-03 15:05:13 UTC
Verified in CWS.
Comment 6 wolframgarten 2008-07-11 08:52:49 UTC
Tested in master DEV300_m24. Closed.